[fxruby-users] FXTableItem.new segmentation fault

Lyle Johnson lyle at lylejohnson.name
Thu Sep 25 14:48:12 EDT 2008

On Thu, Sep 25, 2008 at 1:00 PM, Melton, Ryan <rmelton at ball.com> wrote:

> FXRuby does not work with Ruby 1.8.7 due to a bug in SWIG.
> http://sourceforge.net/tracker/index.php?func=detail&aid=2034216&group_id=1645&atid=101645
> Unfortunately the same ruby change that results in the "object allocation
> during garbage collection phase" made it into the Ruby 1.8.6 releases as
> well at around version 117.  So to use FXRuby, you must use a version of
> Ruby 1.8.6 that is before r117.

I didn't realize that this "fix" also made it into Ruby 1.8.6. Wonderful.

> Yes, this sucks.  Hopefully SWIG will be fixed soon, or Lyle will work
> around the issue like the wxRuby group did.

I'll see what I can do.

More information about the fxruby-users mailing list